Subject: Re: bug#77415: Native Messaging in librewolf doesn't work

From: Clément Lassieur <[email-masked]>
Date: Mon, 07 Apr 2025 16:07:58 +0200

Hi all,

Did you try the guix passff-icecat package?

$ guix shell icecat-minimal passff-icecat
then you start icecat, and it works

Same if you replace icecat-minimal with mullvadbrowser or torbrowser.

With librewolf there is an extra step due to a librewolf package bug:

$ guix shell librewolf passff-icecat
then
- you start librewolf
- [extra step] you go to about:addons and enable passff
- then it works

As to why it does not work with your non-guix extension, I imagine it's
because your native-messaging-hosts path is wrong?

Did you try either
- ~/.librewolf/native-messaging-hosts
- $ICECAT_SYSTEM_DIR/native-messaging-hosts

?

Cheers,
Clément Lassieur

On Mon, Mar 31 2025, Rutherther via Bug reports for GNU Guix wrote:

> Hello Konrad,
>
> I would like to confirm the same behavior on my end. This happens with
> every native messaging extension I tried, doesn't seem to be just some.
> Actually, it used to work, then after something updated in Guix it
> stopped working. The same for Firefox from nonguix.
>
> I have no idea how to debug this since Firefox apparently decided to
> print the most helpful message ever for any and every error in the
> native hosting! Sigh. That's why I haven't even reported it, because I
> wanted to share at least some information about it, but could find
> nothing. My only other idea was to look through the librewolf
> compilation log, maybe it will print a warning about a missing/wrong
> dependency etc.
>
> Regards,
> Rutherther